# Class RowActionCheckPipe<RowType>

#### Type Parameters

- RowType extends Record<string, unknown> = Record<string, unknown>

#### Implements

- PipeTransform

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:20

#####
Index

### Constructors

constructor

### Methods

transform

##
Constructors

### constructor

- new RowActionCheckPipe<
  RowType extends Record<string, unknown> = Record<string, unknown>,
  >(
  tableRowActionMethodList:
  | null
  | TableRowActionTypeMethod<RowType>
  | TableRowActionTypeMethod<RowType>[],
  ): RowActionCheckPipe<RowType>

  #### Type Parameters

  - RowType extends Record<string, unknown> = Record<string, unknown>

  #### Parameters

  - tableRowActionMethodList: null | TableRowActionTypeMethod<RowType> | TableRowActionTypeMethod<RowType>[]

  #### Returns RowActionCheckPipe<RowType>

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:25

##
Methods

### transform

- transform(value: RowType | RowType[], type: string): boolean

  #### Parameters

  - value: RowType | RowType[]
  - type: string

  #### Returns boolean

  Implementation of PipeTransform.transform

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:33